
Katello - Bug #5955

Content view: Failed to display in Content Dashboard

05/27/2014 05:22 PM - Brad Buckingham

Status: Closed   

Priority: Normal   

Assignee: Brad Buckingham   

Category: Web UI   

Target version: Katello 2.0   

Difficulty:  Fixed in Releases:  

Triaged: Yes Found in Releases:  

Bugzilla link: 1094633 Red Hat JIRA:  

Pull request:    

Description

Cloned from https://bugzilla.redhat.com/show_bug.cgi?id=1094633

Description of problem:

Content views can not display in Monitor-->Content Dashboard, it shows "No content views found.", please see logs pasted.

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:

1.

2.

3.

Actual results:

Expected results:

Additional info:

> /var/log/foreman/production.log <

Rendered /opt/rh/ruby193/root/usr/share/gems/gems/katello-1.5.0/app/views/katello/dashboard/_subscriptions.haml (114.9ms)

Rendered /opt/rh/ruby193/root/usr/share/gems/gems/katello-1.5.0/app/views/katello/dashboard/_entry.html.haml (115.6ms)

Rendered /opt/rh/ruby193/root/usr/share/gems/gems/katello-1.5.0/app/views/katello/dashboard/_ajax_entry.html.haml (0.6ms)

Rendered /opt/rh/ruby193/root/usr/share/gems/gems/katello-1.5.0/app/views/katello/dashboard/_ajax_entry.html.haml (0.4ms)

Rendered /opt/rh/ruby193/root/usr/share/gems/gems/katello-1.5.0/app/views/katello/dashboard/_ajax_entry.html.haml (0.5ms)

Rendered /opt/rh/ruby193/root/usr/share/gems/gems/katello-1.5.0/app/views/katello/dashboard/_ajax_entry.html.haml (0.4ms)

Rendered /opt/rh/ruby193/root/usr/share/gems/gems/katello-1.5.0/app/views/katello/dashboard/_ajax_entry.html.haml (0.4ms)

Rendered /opt/rh/ruby193/root/usr/share/gems/gems/katello-1.5.0/app/views/katello/dashboard/_ajax_entry.html.haml (0.4ms)

Rendered /opt/rh/ruby193/root/usr/share/gems/gems/katello-1.5.0/app/views/katello/dashboard/_ajax_entry.html.haml (0.4ms)

Rendered /opt/rh/ruby193/root/usr/share/gems/gems/katello-1.5.0/app/views/katello/dashboard/index.html.haml within

katello/layouts/katello (172.5ms)

Rendered /opt/rh/ruby193/root/usr/share/gems/gems/katello-1.5.0/app/views/katello/common/_common_i18n.html.haml (0.7ms)

Rendered home/_user_dropdown.html.erb (0.9ms)

Read fragment views/tabs_and_title_records-1 (0.1ms)

Rendered home/_topbar.html.erb (1.5ms)

Rendered layouts/base.html.erb (2.3ms)

Completed 200 OK in 196ms (Views: 166.3ms | ActiveRecord: 12.2ms)

Served asset /alchemy/icons/action-icons.png - 304 Not Modified (0ms)

Served asset /alchemy/icons/spinner.gif - 304 Not Modified (2ms)

Processing by Katello::DashboardController#notices as /*

Parameters: {"undefined"=>"-1"}

Processing by Katello::DashboardController#sync as */

Parameters: {"undefined"=>"-1"}

Processing by Katello::DashboardController#subscriptions_totals as /*

Parameters: {"undefined"=>"-1"}

Processing by Katello::DashboardController#system_groups as */
Parameters: {"undefined"=>"-1"}

Processing by Katello::DashboardController#content_views as /*

Parameters: {"undefined"=>"-1"}

Rendered

/opt/rh/ruby193/root/usr/share/gems/gems/katello-1.5.0/app/views/katello/dashboard/_system_group_item.html.haml

(1.9ms)

Rendered /opt/rh/ruby193/root/usr/share/gems/gems/katello-1.5.0/app/views/katello/dashboard/_system_groups.html.haml

(7.1ms)

Completed 200 OK in 15ms (Views: 6.0ms | ActiveRecord: 2.4ms)

Rendered /opt/rh/ruby193/root/usr/share/gems/gems/katello-1.5.0/app/views/katello/dashboard/_content_views.haml

(6.2ms)

Completed 200 OK in 19ms (Views: 4.6ms | ActiveRecord: 7.4ms)

Rendered /opt/rh/ruby193/root/usr/share/gems/gems/katello-1.5.0/app/views/katello/dashboard/_notices.html.haml (6.1ms)

Completed 200 OK in 31ms (Views: 5.9ms | ActiveRecord: 3.1ms)

Processing by Katello::DashboardController#promotions as */

Parameters: {"undefined"=>"-1"}

Associated revisions

Revision 004ed6f4 - 06/13/2014 07:39 PM - Brad Buckingham

fixes #5955 / BZ 1094633 - update the content dashboard for content views

This commit is to update the content dashboard to properly show

content view details, which was lost with the content view rework.

Since there is overlap in the information that was in both

the content view and promotions widget, this commit also

removes the promotions widget and shows all details in the

content views widget.

Revision 0e2d3ff7 - 06/13/2014 07:43 PM - Brad Buckingham

refs #5955 / BZ 1094633 - update content view removal to update history

While working on the updates to the content dashboard for

content views, noticed that history items associated with

content view removal had the incorrect state.  This commit

updates the removal to update the ContentViewHistory.

Revision 2a39ab91 - 06/16/2014 02:21 PM - Brad Buckingham

Merge pull request #4269 from bbuckingham/issue-5955

fixes #5955 / BZ 1094633 - update the content dashboard for content views

History

#1 - 05/27/2014 05:23 PM - Brad Buckingham

- Assignee set to Brad Buckingham

- Triaged set to Yes

#2 - 06/13/2014 07:38 PM - Brad Buckingham

- Target version set to 45

- translation missing: en.field_release set to 13

#3 - 06/16/2014 12:03 PM - Eric Helms

- Target version changed from 45 to 48

#4 - 06/16/2014 02:52 PM - Brad Buckingham

- Status changed from New to Closed

- % Done changed from 0 to 100

Applied in changeset katello|commit:004ed6f4c38441a58df9145517704dd492f6de6e.

Powered by TCPDF (www.tcpdf.org)

05/18/2024 2/2

http://www.tcpdf.org

